Debian package version of polhemus's createcfgfile
Janis Streib
30.03.22 354d2bb9b7cb6169178e24450e56beebab927c44
commit | author | age
45edef 1 # Makefile.in generated by automake 1.16.4 from Makefile.am.
JS 2 # @configure_input@
3
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \    ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs    ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92     $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94     $(am__configure_deps) $(am__DIST_COMMON)
95 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96  configure.lineno config.status.lineno
97 mkinstalldirs = $(install_sh) -d
98 CONFIG_HEADER = config.h
99 CONFIG_CLEAN_FILES =
100 CONFIG_CLEAN_VPATH_FILES =
101 AM_V_P = $(am__v_P_@AM_V@)
102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103 am__v_P_0 = false
104 am__v_P_1 = :
105 AM_V_GEN = $(am__v_GEN_@AM_V@)
106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107 am__v_GEN_0 = @echo "  GEN     " $@;
108 am__v_GEN_1 = 
109 AM_V_at = $(am__v_at_@AM_V@)
110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111 am__v_at_0 = @
112 am__v_at_1 = 
113 SOURCES =
114 DIST_SOURCES =
115 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116     ctags-recursive dvi-recursive html-recursive info-recursive \
117     install-data-recursive install-dvi-recursive \
118     install-exec-recursive install-html-recursive \
119     install-info-recursive install-pdf-recursive \
120     install-ps-recursive install-recursive installcheck-recursive \
121     installdirs-recursive pdf-recursive ps-recursive \
122     tags-recursive uninstall-recursive
123 am__can_run_installinfo = \
124   case $$AM_UPDATE_INFO_DIR in \
125     n|no|NO) false;; \
126     *) (install-info --version) >/dev/null 2>&1;; \
127   esac
128 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive    \
129   distclean-recursive maintainer-clean-recursive
130 am__recursive_targets = \
131   $(RECURSIVE_TARGETS) \
132   $(RECURSIVE_CLEAN_TARGETS) \
133   $(am__extra_recursive_targets)
134 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
135     cscope distdir distdir-am dist dist-all distcheck
136 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
137     config.h.in
138 # Read a list of newline-separated strings from the standard input,
139 # and print each of them once, without duplicates.  Input order is
140 # *not* preserved.
141 am__uniquify_input = $(AWK) '\
142   BEGIN { nonempty = 0; } \
143   { items[$$0] = 1; nonempty = 1; } \
144   END { if (nonempty) { for (i in items) print i; }; } \
145 '
146 # Make sure the list of sources is unique.  This is necessary because,
147 # e.g., the same source file might be shared among _SOURCES variables
148 # for different programs/libraries.
149 am__define_uniq_tagged_files = \
150   list='$(am__tagged_files)'; \
151   unique=`for i in $$list; do \
152     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
153   done | $(am__uniquify_input)`
154 DIST_SUBDIRS = $(SUBDIRS)
155 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
156     COPYING ChangeLog INSTALL NEWS README compile depcomp \
157     install-sh missing
158 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
159 distdir = $(PACKAGE)-$(VERSION)
160 top_distdir = $(distdir)
161 am__remove_distdir = \
162   if test -d "$(distdir)"; then \
163     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
164       && rm -rf "$(distdir)" \
165       || { sleep 5 && rm -rf "$(distdir)"; }; \
166   else :; fi
167 am__post_remove_distdir = $(am__remove_distdir)
168 am__relativize = \
169   dir0=`pwd`; \
170   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
171   sed_rest='s,^[^/]*/*,,'; \
172   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
173   sed_butlast='s,/*[^/]*$$,,'; \
174   while test -n "$$dir1"; do \
175     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
176     if test "$$first" != "."; then \
177       if test "$$first" = ".."; then \
178         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
179         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
180       else \
181         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
182         if test "$$first2" = "$$first"; then \
183           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
184         else \
185           dir2="../$$dir2"; \
186         fi; \
187         dir0="$$dir0"/"$$first"; \
188       fi; \
189     fi; \
190     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
191   done; \
192   reldir="$$dir2"
193 DIST_ARCHIVES = $(distdir).tar.gz
194 GZIP_ENV = --best
195 DIST_TARGETS = dist-gzip
196 # Exists only to be overridden by the user if desired.
197 AM_DISTCHECK_DVI_TARGET = dvi
198 distuninstallcheck_listfiles = find . -type f -print
199 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
200   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
201 distcleancheck_listfiles = find . -type f -print
202 ACLOCAL = @ACLOCAL@
203 AMTAR = @AMTAR@
204 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
205 AUTOCONF = @AUTOCONF@
206 AUTOHEADER = @AUTOHEADER@
207 AUTOMAKE = @AUTOMAKE@
208 AWK = @AWK@
209 CC = @CC@
210 CCDEPMODE = @CCDEPMODE@
211 CFLAGS = @CFLAGS@
212 CPP = @CPP@
213 CPPFLAGS = @CPPFLAGS@
214 CSCOPE = @CSCOPE@
215 CTAGS = @CTAGS@
216 CXX = @CXX@
217 CXXDEPMODE = @CXXDEPMODE@
218 CXXFLAGS = @CXXFLAGS@
219 CYGPATH_W = @CYGPATH_W@
220 DEFS = @DEFS@
221 DEPDIR = @DEPDIR@
222 ECHO_C = @ECHO_C@
223 ECHO_N = @ECHO_N@
224 ECHO_T = @ECHO_T@
225 EGREP = @EGREP@
226 ETAGS = @ETAGS@
227 EXEEXT = @EXEEXT@
228 GREP = @GREP@
229 GTK_CFLAGS = @GTK_CFLAGS@
230 GTK_LIBS = @GTK_LIBS@
231 INSTALL = @INSTALL@
232 INSTALL_DATA = @INSTALL_DATA@
233 INSTALL_PROGRAM = @INSTALL_PROGRAM@
234 INSTALL_SCRIPT = @INSTALL_SCRIPT@
235 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
236 LDFLAGS = @LDFLAGS@
237 LIBOBJS = @LIBOBJS@
238 LIBS = @LIBS@
239 LTLIBOBJS = @LTLIBOBJS@
240 MAKEINFO = @MAKEINFO@
241 MKDIR_P = @MKDIR_P@
242 OBJEXT = @OBJEXT@
243 PACKAGE = @PACKAGE@
244 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
245 PACKAGE_NAME = @PACKAGE_NAME@
246 PACKAGE_STRING = @PACKAGE_STRING@
247 PACKAGE_TARNAME = @PACKAGE_TARNAME@
248 PACKAGE_URL = @PACKAGE_URL@
249 PACKAGE_VERSION = @PACKAGE_VERSION@
250 PATH_SEPARATOR = @PATH_SEPARATOR@
251 PKG_CONFIG = @PKG_CONFIG@
252 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
253 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
254 POW_LIB = @POW_LIB@
255 SET_MAKE = @SET_MAKE@
256 SHELL = @SHELL@
257 STRIP = @STRIP@
258 VERSION = @VERSION@
259 abs_builddir = @abs_builddir@
260 abs_srcdir = @abs_srcdir@
261 abs_top_builddir = @abs_top_builddir@
262 abs_top_srcdir = @abs_top_srcdir@
263 ac_ct_CC = @ac_ct_CC@
264 ac_ct_CXX = @ac_ct_CXX@
265 am__include = @am__include@
266 am__leading_dot = @am__leading_dot@
267 am__quote = @am__quote@
268 am__tar = @am__tar@
269 am__untar = @am__untar@
270 bindir = @bindir@
271 build_alias = @build_alias@
272 builddir = @builddir@
273 datadir = @datadir@
274 datarootdir = @datarootdir@
275 docdir = @docdir@
276 dvidir = @dvidir@
277 exec_prefix = @exec_prefix@
278 host_alias = @host_alias@
279 htmldir = @htmldir@
280 includedir = @includedir@
281 infodir = @infodir@
282 install_sh = @install_sh@
283 libdir = @libdir@
284 libexecdir = @libexecdir@
285 localedir = @localedir@
286 localstatedir = @localstatedir@
287 mandir = @mandir@
288 mkdir_p = @mkdir_p@
289 oldincludedir = @oldincludedir@
290 pdfdir = @pdfdir@
291 prefix = @prefix@
292 program_transform_name = @program_transform_name@
293 psdir = @psdir@
294 runstatedir = @runstatedir@
295 sbindir = @sbindir@
296 sharedstatedir = @sharedstatedir@
297 srcdir = @srcdir@
298 sysconfdir = @sysconfdir@
299 target_alias = @target_alias@
300 top_build_prefix = @top_build_prefix@
301 top_builddir = @top_builddir@
302 top_srcdir = @top_srcdir@
303 SUBDIRS = src
304 ACLOCAL_AMFLAGS = -I M4
305 all: config.h
306     $(MAKE) $(AM_MAKEFLAGS) all-recursive
307
308 .SUFFIXES:
309 am--refresh: Makefile
310     @:
311 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
312     @for dep in $?; do \
313       case '$(am__configure_deps)' in \
314         *$$dep*) \
315           echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
316           $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
317         && exit 0; \
318           exit 1;; \
319       esac; \
320     done; \
321     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
322     $(am__cd) $(top_srcdir) && \
323       $(AUTOMAKE) --gnu Makefile
324 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
325     @case '$?' in \
326       *config.status*) \
327         echo ' $(SHELL) ./config.status'; \
328         $(SHELL) ./config.status;; \
329       *) \
330         echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
331         cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
332     esac;
333
334 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
335     $(SHELL) ./config.status --recheck
336
337 $(top_srcdir)/configure:  $(am__configure_deps)
338     $(am__cd) $(srcdir) && $(AUTOCONF)
339 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
340     $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
341 $(am__aclocal_m4_deps):
342
343 config.h: stamp-h1
344     @test -f $@ || rm -f stamp-h1
345     @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
346
347 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
348     @rm -f stamp-h1
349     cd $(top_builddir) && $(SHELL) ./config.status config.h
350 $(srcdir)/config.h.in:  $(am__configure_deps) 
351     ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
352     rm -f stamp-h1
353     touch $@
354
355 distclean-hdr:
356     -rm -f config.h stamp-h1
357
358 # This directory's subdirectories are mostly independent; you can cd
359 # into them and run 'make' without going through this Makefile.
360 # To change the values of 'make' variables: instead of editing Makefiles,
361 # (1) if the variable is set in 'config.status', edit 'config.status'
362 #     (which will cause the Makefiles to be regenerated when you run 'make');
363 # (2) otherwise, pass the desired values on the 'make' command line.
364 $(am__recursive_targets):
365     @fail=; \
366     if $(am__make_keepgoing); then \
367       failcom='fail=yes'; \
368     else \
369       failcom='exit 1'; \
370     fi; \
371     dot_seen=no; \
372     target=`echo $@ | sed s/-recursive//`; \
373     case "$@" in \
374       distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
375       *) list='$(SUBDIRS)' ;; \
376     esac; \
377     for subdir in $$list; do \
378       echo "Making $$target in $$subdir"; \
379       if test "$$subdir" = "."; then \
380         dot_seen=yes; \
381         local_target="$$target-am"; \
382       else \
383         local_target="$$target"; \
384       fi; \
385       ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
386       || eval $$failcom; \
387     done; \
388     if test "$$dot_seen" = "no"; then \
389       $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
390     fi; test -z "$$fail"
391
392 ID: $(am__tagged_files)
393     $(am__define_uniq_tagged_files); mkid -fID $$unique
394 tags: tags-recursive
395 TAGS: tags
396
397 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
398     set x; \
399     here=`pwd`; \
400     if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
401       include_option=--etags-include; \
402       empty_fix=.; \
403     else \
404       include_option=--include; \
405       empty_fix=; \
406     fi; \
407     list='$(SUBDIRS)'; for subdir in $$list; do \
408       if test "$$subdir" = .; then :; else \
409         test ! -f $$subdir/TAGS || \
410           set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
411       fi; \
412     done; \
413     $(am__define_uniq_tagged_files); \
414     shift; \
415     if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
416       test -n "$$unique" || unique=$$empty_fix; \
417       if test $$# -gt 0; then \
418         $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
419           "$$@" $$unique; \
420       else \
421         $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
422           $$unique; \
423       fi; \
424     fi
425 ctags: ctags-recursive
426
427 CTAGS: ctags
428 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
429     $(am__define_uniq_tagged_files); \
430     test -z "$(CTAGS_ARGS)$$unique" \
431       || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
432          $$unique
433
434 GTAGS:
435     here=`$(am__cd) $(top_builddir) && pwd` \
436       && $(am__cd) $(top_srcdir) \
437       && gtags -i $(GTAGS_ARGS) "$$here"
438 cscope: cscope.files
439     test ! -s cscope.files \
440       || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
441 clean-cscope:
442     -rm -f cscope.files
443 cscope.files: clean-cscope cscopelist
444 cscopelist: cscopelist-recursive
445
446 cscopelist-am: $(am__tagged_files)
447     list='$(am__tagged_files)'; \
448     case "$(srcdir)" in \
449       [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
450       *) sdir=$(subdir)/$(srcdir) ;; \
451     esac; \
452     for i in $$list; do \
453       if test -f "$$i"; then \
454         echo "$(subdir)/$$i"; \
455       else \
456         echo "$$sdir/$$i"; \
457       fi; \
458     done >> $(top_builddir)/cscope.files
459
460 distclean-tags:
461     -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
462     -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
463 distdir: $(BUILT_SOURCES)
464     $(MAKE) $(AM_MAKEFLAGS) distdir-am
465
466 distdir-am: $(DISTFILES)
467     $(am__remove_distdir)
468     test -d "$(distdir)" || mkdir "$(distdir)"
469     @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
470     topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
471     list='$(DISTFILES)'; \
472       dist_files=`for file in $$list; do echo $$file; done | \
473       sed -e "s|^$$srcdirstrip/||;t" \
474           -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
475     case $$dist_files in \
476       */*) $(MKDIR_P) `echo "$$dist_files" | \
477                sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
478                sort -u` ;; \
479     esac; \
480     for file in $$dist_files; do \
481       if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
482       if test -d $$d/$$file; then \
483         dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
484         if test -d "$(distdir)/$$file"; then \
485           find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
486         fi; \
487         if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
488           cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
489           find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
490         fi; \
491         cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
492       else \
493         test -f "$(distdir)/$$file" \
494         || cp -p $$d/$$file "$(distdir)/$$file" \
495         || exit 1; \
496       fi; \
497     done
498     @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
499       if test "$$subdir" = .; then :; else \
500         $(am__make_dryrun) \
501           || test -d "$(distdir)/$$subdir" \
502           || $(MKDIR_P) "$(distdir)/$$subdir" \
503           || exit 1; \
504         dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
505         $(am__relativize); \
506         new_distdir=$$reldir; \
507         dir1=$$subdir; dir2="$(top_distdir)"; \
508         $(am__relativize); \
509         new_top_distdir=$$reldir; \
510         echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
511         echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
512         ($(am__cd) $$subdir && \
513           $(MAKE) $(AM_MAKEFLAGS) \
514             top_distdir="$$new_top_distdir" \
515             distdir="$$new_distdir" \
516         am__remove_distdir=: \
517         am__skip_length_check=: \
518         am__skip_mode_fix=: \
519             distdir) \
520           || exit 1; \
521       fi; \
522     done
523     -test -n "$(am__skip_mode_fix)" \
524     || find "$(distdir)" -type d ! -perm -755 \
525         -exec chmod u+rwx,go+rx {} \; -o \
526       ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
527       ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
528       ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
529     || chmod -R a+r "$(distdir)"
530 dist-gzip: distdir
531     tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
532     $(am__post_remove_distdir)
533
534 dist-bzip2: distdir
535     tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
536     $(am__post_remove_distdir)
537
538 dist-lzip: distdir
539     tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
540     $(am__post_remove_distdir)
541
542 dist-xz: distdir
543     tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
544     $(am__post_remove_distdir)
545
546 dist-zstd: distdir
547     tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
548     $(am__post_remove_distdir)
549
550 dist-tarZ: distdir
551     @echo WARNING: "Support for distribution archives compressed with" \
552                "legacy program 'compress' is deprecated." >&2
553     @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
554     tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
555     $(am__post_remove_distdir)
556
557 dist-shar: distdir
558     @echo WARNING: "Support for shar distribution archives is" \
559                    "deprecated." >&2
560     @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
561     shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
562     $(am__post_remove_distdir)
563
564 dist-zip: distdir
565     -rm -f $(distdir).zip
566     zip -rq $(distdir).zip $(distdir)
567     $(am__post_remove_distdir)
568
569 dist dist-all:
570     $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
571     $(am__post_remove_distdir)
572
573 # This target untars the dist file and tries a VPATH configuration.  Then
574 # it guarantees that the distribution is self-contained by making another
575 # tarfile.
576 distcheck: dist
577     case '$(DIST_ARCHIVES)' in \
578     *.tar.gz*) \
579       eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
580     *.tar.bz2*) \
581       bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
582     *.tar.lz*) \
583       lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
584     *.tar.xz*) \
585       xz -dc $(distdir).tar.xz | $(am__untar) ;;\
586     *.tar.Z*) \
587       uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
588     *.shar.gz*) \
589       eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
590     *.zip*) \
591       unzip $(distdir).zip ;;\
592     *.tar.zst*) \
593       zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
594     esac
595     chmod -R a-w $(distdir)
596     chmod u+w $(distdir)
597     mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
598     chmod a-w $(distdir)
599     test -d $(distdir)/_build || exit 0; \
600     dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
601       && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
602       && am__cwd=`pwd` \
603       && $(am__cd) $(distdir)/_build/sub \
604       && ../../configure \
605         $(AM_DISTCHECK_CONFIGURE_FLAGS) \
606         $(DISTCHECK_CONFIGURE_FLAGS) \
607         --srcdir=../.. --prefix="$$dc_install_base" \
608       && $(MAKE) $(AM_MAKEFLAGS) \
609       && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
610       && $(MAKE) $(AM_MAKEFLAGS) check \
611       && $(MAKE) $(AM_MAKEFLAGS) install \
612       && $(MAKE) $(AM_MAKEFLAGS) installcheck \
613       && $(MAKE) $(AM_MAKEFLAGS) uninstall \
614       && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
615             distuninstallcheck \
616       && chmod -R a-w "$$dc_install_base" \
617       && ({ \
618            (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
619            && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
620            && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
621            && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
622                 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
623           } || { rm -rf "$$dc_destdir"; exit 1; }) \
624       && rm -rf "$$dc_destdir" \
625       && $(MAKE) $(AM_MAKEFLAGS) dist \
626       && rm -rf $(DIST_ARCHIVES) \
627       && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
628       && cd "$$am__cwd" \
629       || exit 1
630     $(am__post_remove_distdir)
631     @(echo "$(distdir) archives ready for distribution: "; \
632       list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
633       sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
634 distuninstallcheck:
635     @test -n '$(distuninstallcheck_dir)' || { \
636       echo 'ERROR: trying to run $@ with an empty' \
637            '$$(distuninstallcheck_dir)' >&2; \
638       exit 1; \
639     }; \
640     $(am__cd) '$(distuninstallcheck_dir)' || { \
641       echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
642       exit 1; \
643     }; \
644     test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
645        || { echo "ERROR: files left after uninstall:" ; \
646             if test -n "$(DESTDIR)"; then \
647               echo "  (check DESTDIR support)"; \
648             fi ; \
649             $(distuninstallcheck_listfiles) ; \
650             exit 1; } >&2
651 distcleancheck: distclean
652     @if test '$(srcdir)' = . ; then \
653       echo "ERROR: distcleancheck can only run from a VPATH build" ; \
654       exit 1 ; \
655     fi
656     @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
657       || { echo "ERROR: files left in build directory after distclean:" ; \
658            $(distcleancheck_listfiles) ; \
659            exit 1; } >&2
660 check-am: all-am
661 check: check-recursive
662 all-am: Makefile config.h
663 installdirs: installdirs-recursive
664 installdirs-am:
665 install: install-recursive
666 install-exec: install-exec-recursive
667 install-data: install-data-recursive
668 uninstall: uninstall-recursive
669
670 install-am: all-am
671     @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
672
673 installcheck: installcheck-recursive
674 install-strip:
675     if test -z '$(STRIP)'; then \
676       $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
677         install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
678           install; \
679     else \
680       $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
681         install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
682         "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
683     fi
684 mostlyclean-generic:
685
686 clean-generic:
687
688 distclean-generic:
689     -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
690     -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
691
692 maintainer-clean-generic:
693     @echo "This command is intended for maintainers to use"
694     @echo "it deletes files that may require special tools to rebuild."
695 clean: clean-recursive
696
697 clean-am: clean-generic mostlyclean-am
698
699 distclean: distclean-recursive
700     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
701     -rm -f Makefile
702 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
703
704 dvi: dvi-recursive
705
706 dvi-am:
707
708 html: html-recursive
709
710 html-am:
711
712 info: info-recursive
713
714 info-am:
715
716 install-data-am:
717
718 install-dvi: install-dvi-recursive
719
720 install-dvi-am:
721
722 install-exec-am:
723
724 install-html: install-html-recursive
725
726 install-html-am:
727
728 install-info: install-info-recursive
729
730 install-info-am:
731
732 install-man:
733
734 install-pdf: install-pdf-recursive
735
736 install-pdf-am:
737
738 install-ps: install-ps-recursive
739
740 install-ps-am:
741
742 installcheck-am:
743
744 maintainer-clean: maintainer-clean-recursive
745     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
746     -rm -rf $(top_srcdir)/autom4te.cache
747     -rm -f Makefile
748 maintainer-clean-am: distclean-am maintainer-clean-generic
749
750 mostlyclean: mostlyclean-recursive
751
752 mostlyclean-am: mostlyclean-generic
753
754 pdf: pdf-recursive
755
756 pdf-am:
757
758 ps: ps-recursive
759
760 ps-am:
761
762 uninstall-am:
763
764 .MAKE: $(am__recursive_targets) all install-am install-strip
765
766 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
767     am--refresh check check-am clean clean-cscope clean-generic \
768     cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
769     dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
770     dist-zstd distcheck distclean distclean-generic distclean-hdr \
771     distclean-tags distcleancheck distdir distuninstallcheck dvi \
772     dvi-am html html-am info info-am install install-am \
773     install-data install-data-am install-dvi install-dvi-am \
774     install-exec install-exec-am install-html install-html-am \
775     install-info install-info-am install-man install-pdf \
776     install-pdf-am install-ps install-ps-am install-strip \
777     installcheck installcheck-am installdirs installdirs-am \
778     maintainer-clean maintainer-clean-generic mostlyclean \
779     mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
780     uninstall-am
781
782 .PRECIOUS: Makefile
783
784
785 # Tell versions [3.59,3.63) of GNU make to not export all variables.
786 # Otherwise a system limit (for SysV at least) may be exceeded.
787 .NOEXPORT: